mdb-ver(1)

NAME
mdb-ver - Return the format of a given MDB database.

SYNOPSIS
mdb-ver database
mdb-ver -h|--help
mdb-ver -M|--version

DESCRIPTION
mdb-ver is a utility program distributed with MDB Tools.

It will return a single line of output corresponding to the program that produced the file: 'JET3' (for files produced by Access 97), 'JET4' (Access 2000, XP and 2003), 'ACE12' (Access 2007), 'ACE14' (Access 2010), 'ACE15' (Access 2013), or 'ACE16' (Access 2016).

OPTIONS

-M, --version
    Print the version of mdbtools (rather than the MDB file) and exit.

NOTES
Access changed its format between Jet 3 used in Access 97 and Jet 4 used for Access 2000 and XP. The nature of the changes included moving the page size from 2K to 4K and added support for unicode. MDB Tools actively supports both formats. Newer version are very much like Jet4.

ENVIRONMENT

MDB_JET3_CHARSET
    Defines the charset of the input JET3 (access 97) file. Default is CP1252. See iconv(1).

MDBICONV
    Defines the output charset. Default is UTF-8. mdbtools must have been compiled with iconv.

MDBOPTS
    Colon-separated list of options:

    •   debug_like

    •   debug_write

    •   debug_usage

    •   debug_ole

    •   debug_row

    •   debug_props

    •   debug_all is a shortcut for all debug_* options

    •   no_memo (deprecated; has no effect)

    •   use_index (experimental; requires libmswstr)

HISTORY
mdb-ver first appeared in MDB Tools 0.4.

SEE ALSO
mdb-array(1) mdb-count(1) mdb-export(1) mdb-header(1) mdb-hexdump(1) mdb-import(1) mdb-json(1) mdb-parsecsv(1) mdb-prop(1) mdb-queries(1) mdb-schema(1) mdb-sql(1) mdb-tables(1)

AUTHORS
The mdb-ver utility was written by Brian Bruns.

BUGS
mdb-ver does minimal checking on the validity of a file. It is possbile for it to misidentify a non-MDB file.

mdb-ver does not recognize Access 2.0 (Jet 2).